package models

import (
	"LAPP_LF_MOM_BACKEND/db"
)

type Etltablst struct {
	Finr         int    `xorm:"pk comment('工厂号') Int" json:"etltablst-finr"`
	Id           int    `xorm:"pk comment('id') Int" json:"etltablst-id"`
	Eid          int    `xorm:"pk comment('关联id') Int" json:"etltablst-eid"`
	Table        string `xorm:"comment('数据表') VARCHAR(30)" json:"etltablst-table"`
	Field        string `xorm:"comment('原字段') VARCHAR(32)" json:"etltablst-field"`
	ToField      string `xorm:"comment('映射字段') VARCHAR(32)" json:"etltablst-to_field"`
	Fieldname    string `xorm:"comment('字段名') VARCHAR(30)" json:"etltablst-fieldname"`
	Fieldtype    string `xorm:"comment('字段类型') VARCHAR(30)" json:"etltablst-fieldtype"`
	Funcspec     string `xorm:"comment('特殊方法') VARCHAR(30)" json:"etltablst-funcspec"`
	Defaultvalue string `xorm:"comment('默认值') VARCHAR(20)" json:"etltablst-defaultvalue"`
	Lastmodif    string `xorm:"comment('最近一次更改时间') VARCHAR(14)" json:"etltablst-lastmodif"`
	Lastuser     string `xorm:"comment('最近一次更改人') VARCHAR(20)" json:"etltablst-lastuser"`
	Credatuz     string `xorm:"comment('创建时间') VARCHAR(14)" json:"etltablst-credatuz"`
}

func (t *Etltablst) TableName() string {
	return "etltablst"
}

//查
func (t *Etltablst) SelectLst() ([]Etltablst, error) {
	es := db.Eloquent.Slaves()
	e := es[0]
	data := make([]Etltablst, 0)
	err := e.Where("finr = ? and eid = ?", t.Finr, t.Eid).Find(&data)
	if err != nil {
		return data, err
	}
	return data, nil
}
